List webhooks
curl --request GET \
--url https://enterprise.tavrn.ai/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://enterprise.tavrn.ai/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://enterprise.tavrn.ai/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://enterprise.tavrn.ai/v2/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhooks": [
{
"id": "507f1f77bcf86cd799439016",
"name": "Production webhook",
"url": "https://client.example.com/webhooks/tavrn",
"events": [
"retrieval_request.status_changed",
"retrieval_request.documents_available"
],
"description": "Production webhook for retrieval events",
"is_enabled": true,
"consecutive_failures": 0,
"last_failure_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"auto_disabled_at": "2023-11-07T05:31:56Z",
"last_failure": {
"at": "2026-10-07T17:30:00.000Z",
"status_code": 502,
"error": "HTTP 502",
"event_type": "retrieval_request.status_changed"
},
"secret_hint": "...Ab12",
"created_by": "<string>",
"created_at": "2025-02-01T12:34:56Z",
"updated_at": "2025-02-01T12:34:56Z"
}
]
}Webhooks
List webhooks
List all webhooks for the organization. Requires webhooks:read; secrets are not returned.
GET
/
v2
/
webhooks
List webhooks
curl --request GET \
--url https://enterprise.tavrn.ai/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://enterprise.tavrn.ai/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://enterprise.tavrn.ai/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.tavrn.ai/v2/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://enterprise.tavrn.ai/v2/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://enterprise.tavrn.ai/v2/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://enterprise.tavrn.ai/v2/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"webhooks": [
{
"id": "507f1f77bcf86cd799439016",
"name": "Production webhook",
"url": "https://client.example.com/webhooks/tavrn",
"events": [
"retrieval_request.status_changed",
"retrieval_request.documents_available"
],
"description": "Production webhook for retrieval events",
"is_enabled": true,
"consecutive_failures": 0,
"last_failure_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"auto_disabled_at": "2023-11-07T05:31:56Z",
"last_failure": {
"at": "2026-10-07T17:30:00.000Z",
"status_code": 502,
"error": "HTTP 502",
"event_type": "retrieval_request.status_changed"
},
"secret_hint": "...Ab12",
"created_by": "<string>",
"created_at": "2025-02-01T12:34:56Z",
"updated_at": "2025-02-01T12:34:56Z"
}
]
}